import { EventEmitter, OnInit } from '@angular/core';
import { KeyPressInterface } from './../model/key-press.interface';
import { NgxVirtualKeyboardService } from './../services/ngx-virtual-keyboard.service';
export declare class NgxVirtualKeyboardKeyComponent implements OnInit {
    private _vk;
    disabled: boolean;
    key: string;
    keyPress: EventEmitter<KeyPressInterface>;
    special: boolean;
    isSpacer: boolean;
    isGrey: boolean;
    isSpaceBar: boolean;
    shift: boolean;
    keyValue: string;
    icon: string;
    text: string;
    constructor(_vk: NgxVirtualKeyboardService);
    ngOnInit(): void;
    checkDisabled(): boolean;
    onKeyPress(): void;
}
